Subject: Re: bug#47748: Packages which cant be find/removed by guix remove

From: Julien Lepiller <[email-masked]>
Date: Wed, 14 Apr 2021 06:34:21 -0400

Le 13 avril 2021 22:44:31 GMT-04:00, Mark H Weaver <[email-masked]> a écrit :
>Julien Lepiller <[email-masked]> writes:
>
>> Second, your operating-system declaration apparently is running
>> the avahi server. Since you didn't share it, I don't know if it comes
>> from a service dependency or if it's declared explicitely,
>
>The avahi service is included in '%desktop-services'.
>
>https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/services/desktop.scm?id=a758a8a3c20052c5f1228e1ec80068652bbc3849#n1267
>
>I don't know off-hand what is the current recommended way to remove
>unwanted services from convenience variables like '%desktop-services'.
>I suppose something like this (untested) in place of
>'%desktop-services':
>
>__ (remove (lambda (svc)
>____________ (eq? (service-kind svc) avahi-service-type))
>__________ %desktop-services)
>
>with at least the following modules included at the top of the file:
>
>__ (use-modules (gnu services)
>_______________ (gnu services avahi)
>_______________ (srfi srfi-1))
>
>My own longstanding (and questionable) approach has been to avoid using
>'%desktop-services', and instead to inline its contents into my OS
>config, minus the stuff I don't want.  However, if you choose to use
>that method, it's probably a good idea to periodically check for
>changes
>to '%desktop-services', and to integrate those changes into your own
>config where appropriate.
>
>        Mark

The manual suggests modify-services in some places:

(modify-services %desktop-services
  (delete avahi-service-type))